Loading...
Searching...
No Matches
SparseEigen.h File Reference

Utilities for creating Eigen sparse matrices (gtsam::SparseEigen). More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef Eigen::SparseMatrix< double, Eigen::ColMajor, int > | gtsam::SparseEigen
| Eigen-format sparse matrix.

## Functions

SparseEigen | gtsam::sparseJacobianEigen (const GaussianFactorGraph &gfg, const Ordering &ordering)
| Constructs an Eigen-format SparseMatrix of a GaussianFactorGraph.
SparseEigen | gtsam::sparseJacobianEigen (const GaussianFactorGraph &gfg)

## Detailed Description

Utilities for creating Eigen sparse matrices (gtsam::SparseEigen).

Date
  Aug 2019

Author
  Mandy Xie
  Fan Jiang
  Gerry Chen
  Frank Dellaert